%define srcname	xf86-video-apm
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-apm
Version: 1.1.1
Release: alt2
Serial: 1
Summary: Alliance ProMotion video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: apm.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-apm
Requires: xorg-x11-server >= 1.0.99.901

BuildRequires: pkg-config xorg-x11-sdk xorg-x11-util-macros xorg-x11-proto-devel

ExclusiveArch: %ix86

%description
apm  is  an  Xorg driver for Alliance ProMotion video cards.
The driver is accelerated for supported hardware/depth combination.  It
supports  framebuffer  depths  of  8, 15, 16, 24 and 32 bits. For 6420,
6422, AT24, AT3D and AT25, all depths are fully accelerated  except  24
bpp  for  which  only  screen  to  screen copy and rectangle filling is
accelerated.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/apm.xinf

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt2
- added videoaliases file from RH

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.2-alt0.1
- initial release

